$ErrorActionPreference = 'Stop'

$toolsDir = Split-Path $MyInvocation.MyCommand.Definition

$silentArgs = @('/sp- /silent /norestart')

$packageArgs = @{
  packageName    = 'choosenim'
  fileType       = 'exe'
  file64         = "$toolsDir\choosenim-0.8.4-amd64-setup.exe"
  checksum       = '344EE64FF53EF9EB5324E91495EE7705F1C628106EB1B85F5EE191B1F67B4093'
  checksumType   = 'sha256'
  silentArgs     = $silentArgs
  validExitCodes = @(0)
}

Install-ChocolateyInstallPackage @packageArgs


